# Set-RASLogonHoursOrder.md

## NAME

Set-RASLogonHoursOrder

## SYNOPSIS

Changes the order of logon hours rules.

## SYNTAX

**Set-RASLogonHoursOrder** \[[Id](#id-string)] *(uint)* -[Direction](#Direction) {Up | Down} \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASLogonHoursOrder \[-[InputObject](#inputobject)] *(*[*LogonHours*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/logonhours.md)*)* -[Direction](#Direction) {Up | Down} \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASLogonHoursOrder** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[Direction](#Direction) {Up | Down} \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Changes the order of logon hours rules.

## PARAMETERS

## Name (string)

The name of the RAS logon hours rule.

This must be the actual name of the logon hours rule used in Parallels RAS.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the logon hours rule information.

If the parameter is omitted, the Licensing Server Site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the RAS logon hours rule.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([LogonHours](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/logonhours.md))

An object of type LogonHours representing the RAS logon hours rule.

To obtain the object, use the Get-RASLogonHours cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Direction ([MoveDirection](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/movedirection.md))

The direction to move the logon hours object: Up or Down (changes the order of the logon hours rule accordingly).

Possible values: Up, Down

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[LogonHours](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/logonhours.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASLogonHoursOrder -Id 5 -Direction Up

Moves up the RAS logon hours rule specified by ID.\
\*\*---------- EXAMPLE 2 ----------

Set-RASLogonHoursOrder -InputObject $LogonHours -Direction Down

Moves down the RAS logon hours rule specified by ID.

## RELATED LINKS

* [New-RASLogonHours](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-raslogonhours.md)
* [Get-RASLogonHours](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raslogonhours.md)
* [Set-RASLogonHours](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raslogonhours.md)
* [Remove-RASLogonHours](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raslogonhours.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raslogonhoursorder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
